# -*- coding: utf-8 -*-
'''
This function get a string as input if input is one digit add a zero
:param input_string: input digit az string
:type input_string:str
:return: modified output as str
>>> import coverage
>>> cov=coverage.Coverage()
>>> cov.start()
>>> from art import *
>>> font_list()
3-d :
   **                     **
  /**                    /**
 ******  *****   ****** ******
///**/  **///** **//// ///**/
  /**  /*******//*****   /**
  /**  /**////  /////**  /**
  //** //****** ******   //**
   //   ////// //////     //
<BLANKLINE>
3x5 :
<BLANKLINE>
 #           #
### ###  ## ###
 #  ##   #   #
 ## ### ##   ##
<BLANKLINE>
<BLANKLINE>
5lineoblique :
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
 __  ___     ___        ___     __  ___
  / /      //___) )   ((   ) )   / /
 / /      //           \ \      / /
/ /      ((____     //   ) )   / /
<BLANKLINE>
alphabet :
 t           t
 t           t
ttt eee  ss ttt
 t  e e  s   t
 tt ee  ss   tt
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
avatar :
 _____  _____ ____  _____
/__ __\/  __// ___\/__ __\
  / \  |  \  |    \  / \
  | |  |  /_ \___ |  | |
  \_/  \____\\____/  \_/
<BLANKLINE>
<BLANKLINE>
banner :
<BLANKLINE>
##### ######  ####  #####
  #   #      #        #
  #   #####   ####    #
  #   #           #   #
  #   #      #    #   #
  #   ######  ####    #
<BLANKLINE>
<BLANKLINE>
banner3 :
######## ########  ######  ########
   ##    ##       ##    ##    ##
   ##    ##       ##          ##
   ##    ######    ######     ##
   ##    ##             ##    ##
   ##    ##       ##    ##    ##
   ##    ########  ######     ##
<BLANKLINE>
banner3-D :
 _               _
| |_   ___  ___ | |_
| __| / _ \/ __|| __|
| |_ |  __/\__ \| |_
 \__| \___||___/ \__|
<BLANKLINE>
<BLANKLINE>
banner4 :
.########.########..######..########
....##....##.......##....##....##...
....##....##.......##..........##...
....##....######....######.....##...
....##....##.............##....##...
....##....##.......##....##....##...
....##....########..######.....##...
<BLANKLINE>
basic :
d888888b d88888b .d8888. d888888b
`~~88~~' 88'     88'  YP `~~88~~'
   88    88ooooo `8bo.      88
   88    88~~~~~   `Y8b.    88
   88    88.     db   8D    88
   YP    Y88888P `8888Y'    YP
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
bell :
  .                   .
 _/_     ___    ____ _/_
  |    .'   `  (      |
  |    |----'  `--.   |
  \__/ `.___, \___.'  \__/
<BLANKLINE>
<BLANKLINE>
block :
<BLANKLINE>
 .----------------.  .----------------.  .----------------.  .----------------.
| .--------------. || .--------------. || .--------------. || .--------------. |
| |  _________   | || |  _________   | || |    _______   | || |  _________   | |
| | |  _   _  |  | || | |_   ___  |  | || |   /  ___  |  | || | |  _   _  |  | |
| | |_/ | | \_|  | || |   | |_  \_|  | || |  |  (__ \_|  | || | |_/ | | \_|  | |
| |     | |      | || |   |  _|  _   | || |   '.___`-.   | || |     | |      | |
| |    _| |_     | || |  _| |___/ |  | || |  |`\____) |  | || |    _| |_     | |
| |   |_____|    | || | |_________|  | || |  |_______.'  | || |   |_____|    | |
| |              | || |              | || |              | || |              | |
| '--------------' || '--------------' || '--------------' || '--------------' |
 '----------------'  '----------------'  '----------------'  '----------------'
<BLANKLINE>
bulbhead :
 ____  ____  ___  ____
(_  _)( ___)/ __)(_  _)
  )(   )__) \__ \  )(
 (__) (____)(___/ (__)
<BLANKLINE>
catwalk :
  _//                     _//
  _//                     _//
_/_/ _/   _//     _//// _/_/ _/
  _//   _/   _// _//      _//
  _//  _///// _//  _///   _//
  _//  _/            _//  _//
   _//   _////   _// _//   _//
<BLANKLINE>
<BLANKLINE>
chunky :
 __                  __
|  |_ .-----..-----.|  |_
|   _||  -__||__ --||   _|
|____||_____||_____||____|
<BLANKLINE>
<BLANKLINE>
coinstak :
  O))                     O))
  O))                     O))
O)O) O)   O))     O)))) O)O) O)
  O))   O)   O)) O))      O))
  O))  O))))) O))  O)))   O))
  O))  O)            O))  O))
   O))   O))))   O)) O))   O))
<BLANKLINE>
<BLANKLINE>
colossal :
888                      888
888                      888
888                      888
888888  .d88b.  .d8888b  888888
888    d8P  Y8b 88K      888
888    88888888 "Y8888b. 888
Y88b.  Y8b.          X88 Y88b.
 "Y888  "Y8888   88888P'  "Y888
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
contessa :
 ,        ,
-+- _  __-+-
 | (/,_)  |
<BLANKLINE>
<BLANKLINE>
contrast :
.%%%%%%..%%%%%%...%%%%...%%%%%%.
...%%....%%......%%........%%...
...%%....%%%%.....%%%%.....%%...
...%%....%%..........%%....%%...
...%%....%%%%%%...%%%%.....%%...
................................
<BLANKLINE>
cyberlarge :
 _______ _______ _______ _______
    |    |______ |______    |
    |    |______ ______|    |
<BLANKLINE>
<BLANKLINE>
cybermedium :
___ ____ ____ ___
 |  |___ [__   |
 |  |___ ___]  |
<BLANKLINE>
<BLANKLINE>
doom :
 _               _
| |             | |
| |_   ___  ___ | |_
| __| / _ \/ __|| __|
| |_ |  __/\__ \| |_
 \__| \___||___/ \__|
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
dotmatrix :
    _                                                    _
   (_)                                                  (_)
 _ (_) _  _        _  _  _  _         _  _  _  _      _ (_) _  _
(_)(_)(_)(_)      (_)(_)(_)(_)_     _(_)(_)(_)(_)    (_)(_)(_)(_)
   (_)           (_) _  _  _ (_)   (_)_  _  _  _        (_)
   (_)     _     (_)(_)(_)(_)(_)     (_)(_)(_)(_)_      (_)     _
   (_)_  _(_)    (_)_  _  _  _        _  _  _  _(_)     (_)_  _(_)
     (_)(_)        (_)(_)(_)(_)      (_)(_)(_)(_)         (_)(_)
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
drpepper :
   _               _
 _| |_  ___  ___ _| |_
  | |  / ._><_-<  | |
  |_|  \___./__/  |_|
<BLANKLINE>
<BLANKLINE>
epic :
_________ _______  _______ _________
\__   __/(  ____ \(  ____ \\__   __/
   ) (   | (    \/| (    \/   ) (
   | |   | (__    | (_____    | |
   | |   |  __)   (_____  )   | |
   | |   | (            ) |   | |
   | |   | (____/\/\____) |   | |
   )_(   (_______/\_______)   )_(
<BLANKLINE>
<BLANKLINE>
fuzzy :
 .-.              .-.
.' `.            .' `.
`. .' .--.  .--. `. .'
 : : ' '_.'`._-.' : :
 :_; `.__.'`.__.' :_;
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
isometric1 :
      ___           ___           ___           ___
     /\  \         /\  \         /\  \         /\  \
     \:\  \       /::\  \       /::\  \        \:\  \
      \:\  \     /:/\:\  \     /:/\ \  \        \:\  \
      /::\  \   /::\~\:\  \   _\:\~\ \  \       /::\  \
     /:/\:\__\ /:/\:\ \:\__\ /\ \:\ \ \__\     /:/\:\__\
    /:/  \/__/ \:\~\:\ \/__/ \:\ \:\ \/__/    /:/  \/__/
   /:/  /       \:\ \:\__\    \:\ \:\__\     /:/  /
   \/__/         \:\ \/__/     \:\/:/  /     \/__/
                  \:\__\        \::/  /
                   \/__/         \/__/
<BLANKLINE>
isometric2 :
                    ___           ___
                   /\__\         /\__\
      ___         /:/ _/_       /:/ _/_         ___
     /\__\       /:/ /\__\     /:/ /\  \       /\__\
    /:/  /      /:/ /:/ _/_   /:/ /::\  \     /:/  /
   /:/__/      /:/_/:/ /\__\ /:/_/:/\:\__\   /:/__/
  /::\  \      \:\/:/ /:/  / \:\/:/ /:/  /  /::\  \
 /:/\:\  \      \::/_/:/  /   \::/ /:/  /  /:/\:\  \
 \/__\:\  \      \:\/:/  /     \/_/:/  /   \/__\:\  \
      \:\__\      \::/  /        /:/  /         \:\__\
       \/__/       \/__/         \/__/           \/__/
<BLANKLINE>
isometric3 :
                  ___           ___
      ___        /  /\         /  /\          ___
     /  /\      /  /:/_       /  /:/_        /  /\
    /  /:/     /  /:/ /\     /  /:/ /\      /  /:/
   /  /:/     /  /:/ /:/_   /  /:/ /::\    /  /:/
  /  /::\    /__/:/ /:/ /\ /__/:/ /:/\:\  /  /::\
 /__/:/\:\   \  \:\/:/ /:/ \  \:\/:/~/:/ /__/:/\:\
 \__\/  \:\   \  \::/ /:/   \  \::/ /:/  \__\/  \:\
      \  \:\   \  \:\/:/     \__\/ /:/        \  \:\
       \__\/    \  \::/        /__/:/          \__\/
                 \__\/         \__\/
<BLANKLINE>
isometric4 :
                    ___           ___
      ___          /  /\         /  /\          ___
     /__/\        /  /::\       /  /::\        /__/\
     \  \:\      /  /:/\:\     /__/:/\:\       \  \:\
      \__\:\    /  /::\ \:\   _\_ \:\ \:\       \__\:\
      /  /::\  /__/:/\:\ \:\ /__/\ \:\ \:\      /  /::\
     /  /:/\:\ \  \:\ \:\_\/ \  \:\ \:\_\/     /  /:/\:\
    /  /:/__\/  \  \:\ \:\    \  \:\_\:\      /  /:/__\/
   /__/:/        \  \:\_\/     \  \:\/:/     /__/:/
   \__\/          \  \:\        \  \::/      \__\/
                   \__\/         \__\/
<BLANKLINE>
larry3d :
 __                       __
/\ \__                   /\ \__
\ \ ,_\     __     ____  \ \ ,_\
 \ \ \/   /'__`\  /',__\  \ \ \/
  \ \ \_ /\  __/ /\__, `\  \ \ \_
   \ \__\\ \____\\/\____/   \ \__\
    \/__/ \/____/ \/___/     \/__/
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
nancyj :
  dP                       dP
  88                       88
d8888P .d8888b. .d8888b. d8888P
  88   88ooood8 Y8ooooo.   88
  88   88.  ...       88   88
  dP   `88888P' `88888P'   dP
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
ogre :
 _               _
| |_   ___  ___ | |_
| __| / _ \/ __|| __|
| |_ |  __/\__ \| |_
 \__| \___||___/ \__|
<BLANKLINE>
<BLANKLINE>
rectangles :
<BLANKLINE>
 _              _
| |_  ___  ___ | |_
|  _|| -_||_ -||  _|
|_|  |___||___||_|
<BLANKLINE>
<BLANKLINE>
roman :
    .                          .
  .o8                        .o8
.o888oo  .ooooo.   .oooo.o .o888oo
  888   d88' `88b d88(  "8   888
  888   888ooo888 `"Y88b.    888
  888 . 888    .o o.  )88b   888 .
  "888" `Y8bod8P' 8""888P'   "888"
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
rounded :
<BLANKLINE>
   _                   _
 _| |_  _____   ___  _| |_
(_   _)| ___ | /___)(_   _)
  | |_ | ____||___ |  | |_
   \__)|_____)(___/    \__)
<BLANKLINE>
<BLANKLINE>
rowancap :
 dMMMMMMP     dMMMMMP    .dMMMb  dMMMMMMP
   dMP       dMP        dMP" VP    dMP
  dMP       dMMMP       VMMMb     dMP
 dMP       dMP        dP .dMP    dMP
dMP       dMMMMMP     VMMMP"    dMP
<BLANKLINE>
<BLANKLINE>
script :
<BLANKLINE>
<BLANKLINE>
_|_  _   ,  _|_
 |  |/  / \_ |
 |_/|__/ \/  |_/
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
serifcap :
 ____  ___  ___  ____
(_  _)(  _)/ __)(_  _)
  )(   ) _)\__ \  )(
 (__) (___)(___/ (__)
<BLANKLINE>
shadow :
 |                |
 __|   _ \   __|  __|
 |     __/ \__ \  |
\__| \___| ____/ \__|
<BLANKLINE>
<BLANKLINE>
slant :
   __                  __
  / /_  ___    _____  / /_
 / __/ / _ \  / ___/ / __/
/ /_  /  __/ (__  ) / /_
\__/  \___/ /____/  \__/
<BLANKLINE>
<BLANKLINE>
speed :
_____               _____
__  /______ __________  /_
_  __/_  _ \__  ___/_  __/
/ /_  /  __/_(__  ) / /_
\__/  \___/ /____/  \__/
<BLANKLINE>
<BLANKLINE>
standard :
 _               _
| |_   ___  ___ | |_
| __| / _ \/ __|| __|
| |_ |  __/\__ \| |_
 \__| \___||___/ \__|
<BLANKLINE>
<BLANKLINE>
starwars :
.___________. _______      _______..___________.
|           ||   ____|    /       ||           |
`---|  |----`|  |__      |   (----``---|  |----`
    |  |     |   __|      \   \        |  |
    |  |     |  |____ .----)   |       |  |
    |__|     |_______||_______/        |__|
<BLANKLINE>
<BLANKLINE>
stop :
<BLANKLINE>
 _                  _
| |_    ____   ___ | |_
|  _)  / _  ) /___)|  _)
| |__ ( (/ / |___ || |__
 \___) \____)(___/  \___)
<BLANKLINE>
<BLANKLINE>
thin :
<BLANKLINE>
|              |
|--- ,---.,---.|---
|    |---'`---.|
`---'`---'`---'`---'
<BLANKLINE>
<BLANKLINE>
usaflag :
 :::==== :::===== :::===  :::====
 :::==== :::      :::     :::====
   ===   ======    =====    ===
   ===   ===          ===   ===
   ===   ======== ======    ===
<BLANKLINE>
<BLANKLINE>
>>> aprint_test()
100$
[̲̅$̲̅(̲̅ιοο̲̅)̲̅$̲̅]
******************************
airplane1
 ‛¯¯٭٭¯¯(▫▫)¯¯٭٭¯¯’
******************************
airplane2
✈
******************************
angry_face
(⋟﹏⋞)
******************************
arrow
»»---------------------►
******************************
awesome
<:3 )~~~
******************************
bear
ʕ•ᴥ•ʔ
******************************
big_eyes
⺌∅‿∅⺌
******************************
big_nose
˚∆˚
******************************
bird
 (⌒▽⌒)﻿
******************************
birds
~(‾▿‾)~
******************************
boobs
(.)(.)
******************************
boom_box
♫♪.ılılıll|̲̅̅●̲̅̅|̲̅̅=̲̅̅|̲̅̅●̲̅̅|llılılı.♫♪
******************************
bullshit
|3ᵕᶦᶦᶳᶣᶨᶵ
******************************
butterfly
Ƹ̵̡Ӝ̵̨̄Ʒ
******************************
car_race
|[●▪▪●]|
******************************
care_crowd
(-(-_(-_-)_-)-)
******************************
cassette
|[●▪▪●]|
******************************
cat1
=^..^=
******************************
cat2
龴ↀ◡ↀ龴
******************************
cat_face
⦿⽘⦿
******************************
caterpillar
,/\,/\,/\,/\,/\,/\,o
******************************
chair
╦╣
******************************
cheer
  ^(¤o¤)^
******************************
chess
♞▀▄▀▄♝▀▄
******************************
cigarette
(____((____________()~~~
******************************
coffee
c[_]
******************************
cry
 (╯︵╰,)
******************************
cute_cat
^⨀ᴥ⨀^
******************************
dagger
cxxx|;:;:;:;:;:;:;:;>
******************************
dog
ˁ˚ᴥ˚ˀ
******************************
elephant
°j°m
******************************
eye_closed
 (╯_╰)
******************************
eyes
℃ↂ_ↂↃ
******************************
face
•|龴◡龴|•
******************************
finger1
╭∩╮(Ο_Ο)╭∩╮
******************************
finger2
┌∩┐(◣_◢)┌∩┐
******************************
fish1
><(((('>
******************************
fish2
><>
******************************
fish_swim
¸.·´¯`·.´¯`·.¸¸.·´¯`·.¸><(((º>
******************************
glasses
-@-@-
******************************
gun
︻╦╤─
******************************
hairstyle
⨌⨀_⨀⨌
******************************
happy
 ۜ\(סּںסּَ` )/ۜ
******************************
happy2
⎦˚◡˚⎣
******************************
headphone
d[-_-]b
******************************
heart1
»-(¯`·.·´¯)->
******************************
heart2
♡
******************************
help
٩(͡๏̯͡๏)۶
******************************
house
__̴ı̴̴̡̡̡ ̡͌l̡̡̡ ̡͌l̡*̡̡ ̴̡ı̴̴̡ ̡̡͡|̲̲̲͡͡͡ ̲▫̲͡ ̲̲̲͡͡π̲̲͡͡ ̲̲͡▫̲̲͡͡ ̲|̡̡̡ ̡ ̴̡ı̴̡̡ ̡͌l̡̡̡̡.___
******************************
hug_me
(っ◕‿◕)っ
******************************
human
•͡˘㇁•͡˘
******************************
hybrix
ʕʘ̅͜ʘ̅ʔ
******************************
inlove
(✿ ♥‿♥)
******************************
knife
)xxxxx[;;;;;;;;;>
******************************
koala
@( * O * )@
******************************
linqan
:Q___
******************************
looking_face
ô¿ô
******************************
love_in_my_eye
(♥_♥)
******************************
love_you
»-(¯`·.·´¯)-><-(¯`·.·´¯)-«
******************************
message1
(¯`·._.·(¯`·._.·  ·._.·´¯)·._.·´¯)
******************************
message2
,.-~*´¨¯¨`*·~-.¸-(-,.-~*´¨¯¨`*·~-.¸
******************************
mis_mujeres
(-(-_(-_-)_-)-)
******************************
monkey
@('_')@
******************************
monster
٩(̾●̮̮̃̾•̃̾)۶
******************************
monster2
٩(- ̮̮̃-̃)۶
******************************
mouse
----{,_,">
******************************
needle
|==|iiii|>-----
******************************
nope
t(-_-t)
******************************
nose
\˚ㄥ˚\
******************************
panda
ヽ(￣(ｴ)￣)ﾉ
******************************
pig1
^(*(oo)*)^
******************************
pig2
༼☉ɷ⊙༽
******************************
ping_pong
( •_•)O*¯`·.¸.·´¯`°Q(•_• )
******************************
pirate
✌(◕‿-)✌
******************************
pistols1
¯¯̿̿¯̿̿'̿̿̿̿̿̿̿'̿̿'̿̿̿̿̿'̿̿̿)͇̿̿)̿̿̿̿ '̿̿̿̿̿̿\̵͇̿̿\=(•̪̀●́)=o/̵͇̿̿/'̿̿ ̿ ̿̿
******************************
pistols2
̿' ̿'\̵͇̿̿\з=(◕_◕)=ε/̵͇̿̿/'̿'̿ ̿
******************************
professor
"""⌐(ಠ۾ಠ)¬"""
******************************
rak
/⦿L⦿\
******************************
real_face
( ͡° ͜ʖ ͡°)﻿
******************************
robot1
d[ o_0 ]b
******************************
robot2
 c[○┬●]כ
******************************
rock_on
\,,/(^_^)\,,/
******************************
rose1
--------{---(@
******************************
rose2
@}}>-----
******************************
sad1
ε(´סּ︵סּ`)з
******************************
sad2
(✖╭╮✖)
******************************
scissors
✄
******************************
sleeping
(-.-)Zzz...
******************************
sleeping_baby
[{-_-}] ZZZzz zz z...
******************************
sperm
~~o
******************************
star_in_my_eyes
<*_*>
******************************
stars
✌⊂(✰‿✰)つ✌
******************************
sword1
(===||:::::::::::::::>
******************************
sword2
▬▬ι═══════ﺤ    -═══════ι▬▬
******************************
sword3
ס₪₪₪₪§|(Ξ≥≤≥≤≥≤ΞΞΞΞΞΞΞΞΞΞ>
******************************
sword4
 |O/////[{:;:;:;:;:;:;:;:;>
******************************
table_flip
(╯°□°）╯︵ ┻━┻
******************************
umadbro
¯\_(ツ)_/¯
******************************
up
(◔/‿\◔)
******************************
waves
°º¤ø,¸¸,ø¤º°`°º¤ø,¸,ø¤°º¤ø,¸¸,ø¤º°`°º¤ø,¸
******************************
woman
▓⚗_⚗▓
******************************
worm
_/\__/\__0>
******************************
zombie
'º_º'
******************************
>>> help_func()
              _
  __ _  _ __ | |_
 / _` || '__|| __|
| (_| || |   | |_
 \__,_||_|    \__|
<BLANKLINE>
<BLANKLINE>
         ___      ____
__   __ / _ \    | ___|
\ \ / /| | | |   |___ \
 \ V / | |_| | _  ___) |
  \_/   \___/ (_)|____/
<BLANKLINE>
<BLANKLINE>
Help :
<BLANKLINE>
     - list --> (list of arts)
<BLANKLINE>
     - fonts --> (list of fonts)
<BLANKLINE>
     - test --> (run tests)
<BLANKLINE>
     - text 'yourtext' 'font(optional)' --> (text art) Example : 'python -m art text exampletext block'
<BLANKLINE>
     - shape 'shapename' --> (shape art) Example : 'python -m art shape butterfly'
<BLANKLINE>
     - save 'yourtext  'font(optional)  -->  Example : 'python -m art save exampletext  block
>>> aprint('sss')
[Error] Invalid Art Name
>>> tprint('طط')
<BLANKLINE>
>>> art('assdsds')
[Error] Invalid Art Name
>>> art("coffee")
'c[_] '
>>> tprint("test 2")
 _               _     ____
| |_   ___  ___ | |_  |___ \
| __| / _ \/ __|| __|   __) |
| |_ |  __/\__ \| |_   / __/
 \__| \___||___/ \__| |_____|
<BLANKLINE>
<BLANKLINE>
>>> tprint("aasdasdال",chr_ignore=True)
                        _                  _
  __ _   __ _  ___   __| |  __ _  ___   __| |
 / _` | / _` |/ __| / _` | / _` |/ __| / _` |
| (_| || (_| |\__ \| (_| || (_| |\__ \| (_| |
 \__,_| \__,_||___/ \__,_| \__,_||___/ \__,_|
<BLANKLINE>
<BLANKLINE>
>>> tsave("test file\nk",filename="test")
Saved!
Filename: test.txt
>>> tsave("test art")
Saved!
Filename: art.txt
>>> tsave("test art2")
Saved!
Filename: art2.txt
>>> tsave("test art3",print_status=False)
>>> file=open("test.txt","r")
>>> print(len(file.read()))
282
>>> file=open("art.txt","r")
>>> print(len(file.read()))
246
>>> file=open("art2.txt","r")
>>> print(len(file.read()))
288
>>> file.close()
>>> cov.stop()
>>> cov.save()

'''